"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const Request_1 = require("./wrapper/Request");
const Response_1 = require("./wrapper/Response");
function executeCore(app, opts) {
    return new Promise((resolve) => {
        utils_1.hookExpressjsRequest(app);
        utils_1.hookExpressjsResponse(app);
        const req = new Request_1.default(opts.stdin, opts.env);
        const res = new Response_1.default(req, opts.stdout, resolve);
        app(req, res);
    });
}
exports.default = executeCore;
