import { hookExpressjsRequest, hookExpressjsResponse } from './utils';
import Request from './wrapper/Request';
import Response from './wrapper/Response';
export default function executeCore(app, opts) {
    return new Promise((resolve) => {
        hookExpressjsRequest(app);
        hookExpressjsResponse(app);
        const req = new Request(opts.stdin, opts.env);
        const res = new Response(req, opts.stdout, resolve);
        app(req, res);
    });
}
