/// <reference types="node" />
import * as http from 'http';
import type Request from '../Request';
export default class Response extends http.ServerResponse {
    private readonly endCallback?;
    constructor(req: Request, stdout: NodeJS.WritableStream, endCallback?: (() => void) | undefined);
    end(cb?: () => void): void;
    end(chunk: any, cb?: () => void): void;
    end(chunk: any, encoding?: string, cb?: () => void): void;
}
